/// Evolver Copyright 2000, Morgan McGuire
/// matrix@alum.mit.edu   http://graphics3d.com/matrix
public final class BitXor extends BitwiseOperator implements ELOperator
{
  /**
   * Override to define your bitwise operator.
   */
  final protected int bitwiseOp(int a, int b)
  {
    return a ^ b;
  }

  public String name()
  {
    return "BitXor";
  }

  public String description()
  {
    return "Performs bitwise XOR of all inputs, clamping the result to the interval [-1, 1]";
  }  

  protected String iconString()
  {
    return "XOR";
  }
}
